FormFields
Update a Form Field
Update a specific form_field by id
PUT
/
v1
/
form_fields
/
{id}
Update a Form Field
curl --request PUT \
--url https://api.rootly.com/v1/form_fields/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "form_fields",
"attributes": {
"value_kind_catalog_id": "<string>",
"name": "<string>",
"description": "<string>",
"shown": [
"<string>"
],
"required": [
"<string>"
],
"show_on_incident_details": true,
"enabled": true,
"default_values": [
"<string>"
],
"auto_set_by_catalog_property_id": "<string>"
}
}
}
'{
"data": {
"id": "<string>",
"type": "form_fields",
"attributes": {
"name": "<string>",
"shown": [
"<string>"
],
"required": [
"<string>"
],
"default_values": [
"<string>"
],
"created_at": "<string>",
"updated_at": "<string>",
"value_kind_catalog_id": "<string>",
"slug": "<string>",
"description": "<string>",
"show_on_incident_details": true,
"enabled": true,
"auto_set_by_catalog_property_id": "<string>"
}
},
"included": [
{
"id": "<string>",
"type": "<string>",
"attributes": {},
"relationships": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Resource UUID
Body
application/vnd.api+json
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Update a Form Field
curl --request PUT \
--url https://api.rootly.com/v1/form_fields/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "form_fields",
"attributes": {
"value_kind_catalog_id": "<string>",
"name": "<string>",
"description": "<string>",
"shown": [
"<string>"
],
"required": [
"<string>"
],
"show_on_incident_details": true,
"enabled": true,
"default_values": [
"<string>"
],
"auto_set_by_catalog_property_id": "<string>"
}
}
}
'{
"data": {
"id": "<string>",
"type": "form_fields",
"attributes": {
"name": "<string>",
"shown": [
"<string>"
],
"required": [
"<string>"
],
"default_values": [
"<string>"
],
"created_at": "<string>",
"updated_at": "<string>",
"value_kind_catalog_id": "<string>",
"slug": "<string>",
"description": "<string>",
"show_on_incident_details": true,
"enabled": true,
"auto_set_by_catalog_property_id": "<string>"
}
},
"included": [
{
"id": "<string>",
"type": "<string>",
"attributes": {},
"relationships": {}
}
]
}